Bug 499470 - Anaconda fails to go to graphic mode in 4 monitor setup
Anaconda fails to go to graphic mode in 4 monitor setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 15:04 EDT by Rainer Koenig
Modified: 2014-06-10 01:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log after it reports that X startup failed (2.57 KB, text/plain)
2009-05-20 06:51 EDT, Rainer Koenig
no flags Details
Storage.log after anaconda reported that X starup failed (2.29 KB, text/plain)
2009-05-20 06:52 EDT, Rainer Koenig
no flags Details
X.log after Anaconda reported that X statup failed (6.32 KB, text/plain)
2009-05-20 06:52 EDT, Rainer Koenig
no flags Details
Backtrace after trying to go on with install in text mode (58.66 KB, text/plain)
2009-05-20 06:59 EDT, Rainer Koenig
no flags Details

  None (edit)
Description Rainer Koenig 2009-05-06 15:04:33 EDT
Description of problem:
Trying to prepare workstations with F11-Preview but whenever a graphic card with 4  monitor plugs (e.g. Nvidia NVS 440) or 2 dual port graphic cards are in place then anaconda is unable to switch to graphics mode.

Can't even force it with the "xdriver=vesa" boot parameter.

Version-Release number of selected component (if applicable):


How reproducible:
Always on that hardware

Steps to Reproduce:
1. Plug in a NVS-440 card 
2. Try installing F11-Preview
3. See that you just reach text mode in anaconda
  
Actual results:
Anaconda refuses to use grapical installation mode

Expected results:
Normal GUI install.

Additional info:
Sorry, out of my lab and filing this bug from home. If you need additional info I can provide them from work.
Comment 1 Matěj Cepl 2009-05-15 20:48:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

(In reply to comment #0)
> Description of problem:
> Trying to prepare workstations with F11-Preview but whenever a graphic card
> with 4  monitor plugs (e.g. Nvidia NVS 440) or 2 dual port graphic cards are in
> place then anaconda is unable to switch to graphics mode.

When you just brutally disconnected three monitors, does the computer installs with only one?

If not that, you should be certainly able to install in text mode (write linux text on the anaconda command line before the installation itself starts). Also, it could be possible to switch to the terminal via Ctrl+Alt+F2 (or Alt+F2) and then copy somewhere (USB drive, network location) /tmp/X* /tmp/*log* and attach it here.

After installation please collect and attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Rainer Koenig 2009-05-19 02:14:53 EDT
Hi Matej,

since my standard lab configuration is just using one monitor I can confirm that the machine doesn't do a graphic install with just one monitor connected. The other items of your wishlist will take a while because I'm on a business trip actually and I need to go back to my test lab for answering this and capturing the log files. I will submit them hopefully the next days.

Regards
Rainer
Comment 3 Rainer Koenig 2009-05-20 06:51:04 EDT
Created attachment 344780 [details]
Anaconda log after it reports that X startup failed
Comment 4 Rainer Koenig 2009-05-20 06:52:02 EDT
Created attachment 344781 [details]
Storage.log after anaconda reported that X starup failed
Comment 5 Rainer Koenig 2009-05-20 06:52:36 EDT
Created attachment 344782 [details]
X.log after Anaconda reported that X statup failed
Comment 6 Rainer Koenig 2009-05-20 06:59:30 EDT
Created attachment 344784 [details]
Backtrace after trying to go on with install in text mode

This log was saved after I tried to continue in text mode when anaconda reported that the X startup failed. Then you get the welcome to Fedora dialog and after that a trackback from python. 

If I boot with the parameter "text" then anaconda is working in text mode without this problem.
Comment 7 Rainer Koenig 2009-05-20 07:01:36 EDT
Hi Matej,

now I attached the logfiles I could get. Strange thing: When anaconda fails to start the X server it asks if I want to continue in text mode, but then its crashing with a python backtrace. I attached this log file as well.

I just completed a "text install" wiht booting with the parameter "text". Actually I'm doing a "yum groupinstall 'X Window System'" to get my xorg packages :-)

Regards
Rainer
Comment 8 Matěj Cepl 2009-05-21 08:06:41 EDT
(In reply to comment #7)
> now I attached the logfiles I could get. Strange thing: When anaconda fails to
> start the X server it asks if I want to continue in text mode, but then its
> crashing with a python backtrace. I attached this log file as well.

Passing to developers.

> I just completed a "text install" wiht booting with the parameter "text".
> Actually I'm doing a "yum groupinstall 'X Window System'" to get my xorg
> packages :-)

Glad that at least something works for you :)

Matěj
Comment 9 Rainer Koenig 2009-05-25 02:28:11 EDT
(In reply to comment #8)

> Glad that at least something works for you :)

Unfortunately not much is working after the installation of the xorg packages.

In Fedora 10 I can install with the parameter xdriver=vesa

In Fedora 11 (Rawhide) this doesn't work and after the text install and installation of the X Window System I can't get even the "vesa" driver going to work. 

The interesting thing is that the "famous last words" from the log look like this:

(II) Module vbe: vendor="X.Org Foundation"
        compiled for 1.6.1.901, module version = 1.1.0
        ABI class: X.Org Video Driver, version 5.0
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 1.6.1.901, module version = 1.0.0
        ABI class: X.Org Video Driver, version 5.0
(II) VESA(0): initializing int10

That int10 thing I also see when anaconda is trying to config the nouveau driver. 

So I wonder if there is something wrong inside libint10, because on exactly the same hardware I get the vesa driver working with Fedora 10 and also RHEL 5.3.

Regards
Rainer
Comment 10 Bug Zapper 2009-06-09 11:16:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Maxim Egorushkin 2009-07-22 13:38:26 EDT
I am trying to install Fedora 11 on a machine with Nvidia Quadro NVS 440 with three displays attached. Anaconda installer can't start X.

Fedora 10 Anaconda worked fine on the same machine.

Can provide more details if anybody looking into this.
Comment 12 cje 2009-08-17 03:07:09 EDT
i've just hit this one too.  got a pair of nvidia geforce 7300s.

i can't fall back to the text mode because i can't find an option to only format one partition (leaving my /home intact).

presumably i can remove one of the cards to get the installer working.  do we think X will work with both cards after the install?
Comment 13 cje 2009-08-17 03:16:14 EDT
can confirm, removing one card allowed anaconda to start the graphical install.
Comment 14 Matěj Cepl 2009-11-05 13:28:39 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 15 Matěj Cepl 2010-02-26 07:21:27 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Bug Zapper 2010-04-27 10:09:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 08:24:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Rainer Koenig 2014-06-10 01:57:01 EDT
ok.

Note You need to log in before you can comment on or make changes to this bug.